LibreOffice: UnoControlContainerModel Service Reference

LibreOffice LibreOffice 7.0 SDK API Reference

Included Services | Public Attributes | List of all members
UnoControlContainerModel Service Referencepublished

specifies the standard model of a UnoControlContainer. More...

`import"UnoControlContainerModel.idl";`

Inheritance diagram for UnoControlContainerModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel. More...

## Public Attributes
com::sun::star::util::Color | BackgroundColor
| specifies the background color (RGB) of the control. More...
boolean | Enabled
| determines whether a control is enabled or disabled. More...
short | Border
| specifies the border style of the control. More...
long | BorderColor
| specifies the color of the border, if present More...
boolean | Printable
| specifies whether the control will be printed with the document. More...
string | Text
| specifies the text displayed in the control. More...
string | HelpText
| specifies the help text of the control. More...
string | HelpURL
| specifies the help URL of the control. More...
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model. More...

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control. More...
string | Name
| specifies the name of the control. More...
string | PositionX
| specifies the horizontal position of the control. More...
string | PositionY
| specifies the vertical position of the control. More...
long | Step
| specifies the step of the control. More...
short | TabIndex
| specifies the tabindex of the control. More...
string | Tag
| specifies the tag of the control. More...
long | Width
| specifies the width of the control. More...

## Detailed Description

specifies the standard model of a UnoControlContainer.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the background color (RGB) of the control.

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ Enabled

boolean Enabled
| property

determines whether a control is enabled or disabled.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ Printable

boolean Printable
| property

specifies whether the control will be printed with the document.

## ◆ Text

string Text
| property

specifies the text displayed in the control.

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlContainerModel.idl